function  viewBusiness(id) {
    window.open('/ledger/basicView?viewInitiation=1&historyId='+id)
    return false;
}

//处理
function dealBusiness(taskId,businessKey) {
    ledgerPendingQuery.listPage = $('#contractList').getGridParam('page');
    $(".yk_rightcontent").load('/ledger/add?id='+businessKey)
    //$(".yk_rightcontent").load("/salesContract/add?taskId="+taskId + '&id='+ businessKey)
}

//进度时间轴
function timeLime(id){
    $('.progressTimelinebox').empty();
    $.ajax({
        url:'/businessProcessingTask/doTimelineList',
        type:'get',
        data:{
            'businessKey':id,
            'businessType':'LedgerInfoManage'
        },
        success:function(data){
            if( data.success ){
                var text = '';
                for( var i=0;i<data.data.length;i++ ){
                    text += '<div class="progressTimeline"><div><span></span>'+data.data[i].formBusinessName+'</div>';
                    for( var j=0;j<data.data[i].logs.length;j++ ){
                        var assigneeName = data.data[i].logs[j].assigneeName ? data.data[i].logs[j].assigneeName : ''
                        text += '<p><span>'+data.data[i].logs[j].assigneeTypeName+'：'+ assigneeName +'</span>';
                        if( data.data[i].logs[j].status ){
                            text += '<span>状态：'+data.data[i].logs[j].status+'</span>';
                        };
                        if( data.data[i].logs[j].startTime ){
                            text += '<span style="width: 2.3rem">开始时间：'+data.data[i].logs[j].startTime+'</span>';
                        };
                        if( data.data[i].logs[j].endTime ){
                            text += '<span style="width: 2.3rem">完成时间：'+data.data[i].logs[j].endTime+'</span>';
                        };
                        text += '</p>'
                    };
                    j = null;
                    text += '</div>';
                };
                i = null;
                $('.progressTimelinebox').append(text);
            }else{
                new $.zui.Messager('获取时间轴信息失败:'+data.msg, {
                    type: 'danger'
                }).show();
            }
        },
        error:function(error){
            new $.zui.Messager('获取时间轴信息发生错误:'+error, {
                type: 'danger'
            }).show();
        }
    })
    $("#myModal-progressTimeline").modal('show')
};


$(function () {

    // 重新加载列表
    function reloadList(){
        $('#contractList').setGridParam({
            mtype:'GET',
            url : '/ledger/doList',
            datatype : 'json',
            postData: {
                'startDate':ledgerPendingQuery.startDate,
                'endDate':ledgerPendingQuery.endDate,
                // 'status':ledgerPendingQuery.status,
                'fastSearch':ledgerPendingQuery.fastSearch,
                'customerName': ledgerPendingQuery.customerName
            },
            page : 1
        });
        $('#contractList').trigger('reloadGrid');
    };

    //初始化日期
    function setDate(select,startDate,endDate){
        $(select).datetimepicker(
            {
                weekStart: 1,
                autoclose: 1,
                todayHighlight: 0,
                startView: 2,
                minView: 2,
                forceParse: 0,
                showMeridian: 1,
                startDate:startDate,
                endDate:endDate,
                format: "yyyy-mm-dd"
            }
        );
        $(select).datetimepicker('setStartDate',startDate);
        $(select).datetimepicker('setEndDate',endDate);
    };
    setDate('#businessStartDate,#businessEndDate','1970-01-01','2116-12-31');

    $("#businessStartDate").val(ledgerPendingQuery.startDate);
    $("#businessEndDate").val(ledgerPendingQuery.endDate);
    // $("#businessStatus").val(ledgerPendingQuery.status);
    $("#searchName").val(ledgerPendingQuery.searchName);
    $("#customerName").val(ledgerPendingQuery.customerName);


    // '开始日期'的变化
    $("#businessStartDate").change(function(){
        ledgerPendingQuery.startDate = $(this).val();
        if( $(this).val()=='' ){return}
        setDate('#businessEndDate',$(this).val(),'2116-12-31');
        reloadList();
    });
    $("#businessStartDate").change();

    // '结束日期'的变化
    $("#businessEndDate").change(function(){
        ledgerPendingQuery.endDate = $(this).val();
        if( $(this).val()=='' ){return}
        setDate('#businessStartDate','1918-01-01',$(this).val());
        reloadList();
    });
    $("#businessEndDate").change();

    // 日期输入框可删除
    $('.deleteTime').each(function(i,ele){
        $(ele).prev().change(function(){
            if( $(this).val()!=='' ){
                $(ele).show();
            }else{
                $(ele).hide();
            }
        });
        $(ele).prev().change();
    });

    // 删除日期
    $('.deleteCreateTime').click(function(){
        $(this).prev().val('');
        $(this).hide();
        if( $("#businessEndDate").val()=='' && $("#businessStartDate").val()=='' ){
            setDate('#businessEndDate,#businessStartDate','1970-01-01','2116-12-31');
        };
        if( $("#businessEndDate").val()=='' && $("#businessStartDate").val()!='' ){
            setDate('#businessStartDate','1970-01-01','2116-12-31');
            setDate('#businessEndDate',$("#businessStartDate").val(),'2116-12-31');
        };
        if( $("#businessEndDate").val()!='' && $("#businessStartDate").val()=='' ){
            setDate('#businessStartDate','1970-01-01',$("#planEndDate").val());
            setDate('#businessEndDate','1970-01-01','2116-12-31');
        };
        switch( $(this).prev().attr('id') ){
            case 'businessStartDate':ledgerPendingQuery.startDate = '';break;
            case 'businessEndDate':ledgerPendingQuery.endDate = '';break;
        };
        reloadList();
    });

    // 状态变化
    $("#businessStatus").change(function(){
        ledgerPendingQuery.status = $(this).val();
        reloadList();
    });

    // 操作列
    function operateBusiness(cellValue,options,rowObject){
        var btnstr = '';
        //if( $('#timeLine').length>0 ){
        // btnstr += '<p><span>时间进度轴</span><i class="operateIconfont operateIcon-shijianzhou" onclick="timeLime(' + rowObject.id + ')"></i></p>';
        //};
        //if( $('#viewContract').length>0 ){
            if(rowObject.ledgerStatusDict.name === '已完成') {
                btnstr += '<p><span>查看</span><i class="operateIconfont operateIcon-chakan" onclick="viewBusiness('+rowObject.id+')"></i></p>';
            }

        //};
        if( $('#ledgerHandle').length>0 ){
            if(rowObject.ledgerStatusDict.name === '待处理') {
                btnstr += '<p><span>处理</span><i class="operateIconfont operateIcon-chuli" onclick="dealBusiness(' + rowObject.taskId + ','+rowObject.id+')"></i></p>';
            }

        };
        return '<div class="operateIcon noHover">'+btnstr+'</div>';
    };
    function showAmount(cellValue,options,rowObject) {
        return handleListAmountFn(cellValue)
    }

     // 显示列表'保理合同编号'
     function showcontractNo(cellValue,options,rowObject){
        let bankStr = '';
        if( rowObject.assignVoList && rowObject.assignVoList.length>0 ){
            for( var i=0;i<rowObject.assignVoList.length;i++ ){
                bankStr += '<span class="tableRowMultipleSpan">'+ rowObject.assignVoList[i].contractNo +'</span>'
            };
            i = null;
        };
        return bankStr;
    };

     // 显示列表'批次号'
    function showquotaDisburseBatch(cellValue,options,rowObject){
        let bankStr = '';
        if( rowObject.assignVoList && rowObject.assignVoList.length>0 ){
            for( var i=0;i<rowObject.assignVoList.length;i++ ){
                bankStr += '<span class="tableRowMultipleSpan">'+ rowObject.assignVoList[i].quotaDisburseBatch +'</span>'
            };
            i = null;
        };
        return bankStr;
    };

    sxUtil.jqGrid('#contractList', {
        colNames: ['ID', '序号','分账单号', '业务编号','核心企业名称','业务名称','入账金额', '保理合同编号', '批次号', '状态', '最近更新时间','操作'],
        colModel: [
            {name: 'id', label: 'ID', hidedlg: true, hidden: true, sortable: false, title: false},
            {name: 'orderNumber', label: '序号', sortable: false, width: 50, align: 'center', title: false},
            {name: 'ledgerNumber', label: '分账单号', sortable: false,align: 'center', title: false},
            {name: 'businessNumber', label: '业务编号', sortable: false, align: 'center', title: false},
            {name: 'customerName', label: '核心企业名称', sortable: false,align: 'center', title: false},
            {name: 'businessName', label: '业务名称', sortable: false,align: 'center', title: false},
            {name: 'ledgerAmount', label: '入账金额',  sortable: false, align: 'center', title: false, formatter: showAmount},
            {name: 'ledgerAmount', label: '保理合同编号',  sortable: false, align: 'center', title: false, formatter: showcontractNo},
            {name: 'ledgerAmount', label: '批次号',  sortable: false, align: 'center', title: false, formatter: showquotaDisburseBatch},
            {name: 'ledgerStatusDict.name', label: '状态', sortable: false, align: 'center',  title: false},
            {name: 'gmtModified', label: '最近更新时间', sortable: false, align: 'center',  title: false},
            {
                name: 'remark',
                label: '操作',
                sortable: false,
                align: 'left',
                width: 140,
                title: false,
                formatter: operateBusiness
            }
        ],
        height: 'auto',
        mtype: 'GET',
        url: '/ledger/doList',
        pager: "#contractListPage",
        multiselect: false,
        rownumbers: false,
        postData: {
            'startDate':ledgerPendingQuery.startDate,
            'endDate':ledgerPendingQuery.endDate,
            // 'status':ledgerPendingQuery.status,
            'fastSearch':ledgerPendingQuery.searchName,
            'customerName': ledgerPendingQuery.customerName || ''
        },
        page: ledgerPendingQuery.listPage,
        loadError: function () {
            new $.zui.Messager('列表加载失败', {
                type: 'warning'
            }).show();
        }
    }, true);

    //搜索
    $("#searchBusiness").click(function () {
        ledgerPendingQuery.startDate = $("#businessStartDate").val();
        ledgerPendingQuery.endDate = $("#businessEndDate").val();
        // ledgerPendingQuery.status = $("#businessStatus").val();

        console.log($('#searchName').val())
        ledgerPendingQuery.fastSearch =  $("#searchName").val();
        ledgerPendingQuery.customerName =  $("#customerName").val();
        ledgerPendingQuery.listPage = 1;
        reloadList();
    })

    //切换表格
    $(".projectListTab li").click(function () {

        if ($(this).text() == '待我处理') {
            $(".yk_rightcontent").load('/ledger/list');
        } else if ($(this).text() == '我已处理') {
            $(".yk_rightcontent").load('/ledger/processedList');
        }else if ($(this).text() == '全部') {
            $(".yk_rightcontent").load('/ledger/allList');
        }
    });


})
